- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Functions
Mapbuf

## Functions
EOAPI void | elm_obj_mapbuf_auto_set (Eina_Bool on)
| Set or unset auto flag for map rendering. More...
EOAPI Eina_Bool | elm_obj_mapbuf_auto_get (void)
| Get a value whether auto mode is enabled or not. More...
EOAPI void | elm_obj_mapbuf_smooth_set (Eina_Bool smooth)
| Enable or disable smooth map rendering. More...
EOAPI Eina_Bool | elm_obj_mapbuf_smooth_get (void)
| Get a value whether smooth map rendering is enabled or not. More...
EOAPI void | elm_obj_mapbuf_alpha_set (Eina_Bool alpha)
| Set or unset alpha flag for map rendering. More...
EOAPI Eina_Bool | elm_obj_mapbuf_alpha_get (void)
| Get a value whether alpha blending is enabled or not. More...
EOAPI void | elm_obj_mapbuf_enabled_set (Eina_Bool enabled)
| Enable or disable the map. More...
EOAPI Eina_Bool | elm_obj_mapbuf_enabled_get (void)
| Get a value whether map is enabled or not. More...
void | elm_mapbuf_auto_set (Eo *obj, Eina_Bool on)
| Set or unset auto flag for map rendering. More...
Eina_Bool | elm_mapbuf_auto_get (const Eo *obj)
| Get a value whether auto mode is enabled or not. More...
void | elm_mapbuf_smooth_set (Eo *obj, Eina_Bool smooth)
| Enable or disable smooth map rendering. More...
Eina_Bool | elm_mapbuf_smooth_get (const Eo *obj)
| Get a value whether smooth map rendering is enabled or not. More...
void | elm_mapbuf_alpha_set (Eo *obj, Eina_Bool alpha)
| Set or unset alpha flag for map rendering. More...
Eina_Bool | elm_mapbuf_alpha_get (const Eo *obj)
| Get a value whether alpha blending is enabled or not. More...
void | elm_mapbuf_enabled_set (Eo *obj, Eina_Bool enabled)
| Enable or disable the map. More...
Eina_Bool | elm_mapbuf_enabled_get (const Eo *obj)
| Get a value whether map is enabled or not. More...
Evas_Object * | elm_mapbuf_add (Evas_Object *parent)
| Add a new mapbuf widget to the given parent Elementary (container) object. More...

## Detailed Description

This holds one content object and uses an Evas Map of transformation points to be later used with this content. So the content will be moved, resized, etc as a single image. So it will improve performance when you have a complex interface, with a lot of elements, and will need to resize or move it frequently (the content object and its children).

This widget inherits from The Elementary Container Class, so that the functions meant to act on it will work for mapbuf objects:

- elm_object_part_content_set
- elm_object_part_content_get
- elm_object_part_content_unset

Default content parts of the mapbuf widget that you can use are:

- "default" - The main content of the mapbuf

To enable map, elm_mapbuf_enabled_set() should be used.

See how to use this widget in this example: Mapbuf Widget Example

## Function Documentation

Evas_Object* elm_mapbuf_add | ( | Evas_Object * | parent | ) |

Add a new mapbuf widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  A new mapbuf widget handle or `NULL`, on errors.

This function inserts a new mapbuf widget on the canvas.

Eina_Bool elm_mapbuf_alpha_get | ( | const Eo * | obj | ) |

Get a value whether alpha blending is enabled or not.

Returns
  `EINA_TRUE` means alpha blending is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_mapbuf_alpha_set() for details.

References elm_obj_mapbuf_alpha_get().

void elm_mapbuf_alpha_set | ( | Eo * | obj,
|  | Eina_Bool | alpha
| ) |  |

Set or unset alpha flag for map rendering.

This sets alpha flag for map rendering. If the object is a type that has its own alpha settings, then this will take precedence. Only image objects have this currently. It stops alpha blending of the map area, and is useful if you know the object and/or all sub-objects is 100% solid.

Alpha is enabled by default.

Parameters

  [in] | alpha | `EINA_TRUE` to enable alpha blending or `EINA_FALSE` to disable it.

References elm_obj_mapbuf_alpha_set().

Eina_Bool elm_mapbuf_auto_get | ( | const Eo * | obj | ) |

Get a value whether auto mode is enabled or not.

Returns
  `EINA_TRUE` means autso mode is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_mapbuf_auto_set() for details.

References elm_obj_mapbuf_auto_get().

void elm_mapbuf_auto_set | ( | Eo * | obj,
|  | Eina_Bool | on
| ) |  |

Set or unset auto flag for map rendering.

When a ampbuf object has "auto mode" enabled, then it will enable and disable map mode based on current visibility. Mapbuf will track if you show or hide it AND if the object is inside the canvas viewport or not when it is moved or resized. Note that if you turn automode off, then map mode will be in a disabled state at this point. When you turn it on for the first time, the current state will be evaluated base on current properties of the mapbuf object.

Auto mode is disabled by default.

Parameters

  [in] | on | `EINA_TRUE` to enable auto mode or `EINA_FALSE` to disable it.

References elm_obj_mapbuf_auto_set().

Eina_Bool elm_mapbuf_enabled_get | ( | const Eo * | obj | ) |

Get a value whether map is enabled or not.

Returns
  `EINA_TRUE` means map is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_mapbuf_enabled_set() for details.

References elm_obj_mapbuf_enabled_get().

void elm_mapbuf_enabled_set | ( | Eo * | obj,
|  | Eina_Bool | enabled
| ) |  |

Enable or disable the map.

This enables the map that is set or disables it. On enable, the object geometry will be saved, and the new geometry will change (position and size) to reflect the map geometry set.

Also, when enabled, alpha and smooth states will be used, so if the content isn't solid, alpha should be enabled, for example, otherwise a black rectangle will fill the content.

When disabled, the stored map will be freed and geometry prior to enabling the map will be restored.

It's disabled by default.

See also
  elm_mapbuf_alpha_set()
  elm_mapbuf_smooth_set()

Parameters

  [in] | enabled | `EINA_TRUE` to enable map or `EINA_FALSE` to disable it.

References elm_obj_mapbuf_enabled_set().

Eina_Bool elm_mapbuf_smooth_get | ( | const Eo * | obj | ) |

Get a value whether smooth map rendering is enabled or not.

Returns
  `EINA_TRUE` means smooth map rendering is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_mapbuf_smooth_set() for details.

References elm_obj_mapbuf_smooth_get().

void elm_mapbuf_smooth_set | ( | Eo * | obj,
|  | Eina_Bool | smooth
| ) |  |

Enable or disable smooth map rendering.

This sets smoothing for map rendering. If the object is a type that has its own smoothing settings, then both the smooth settings for this object and the map must be turned off.

By default smooth maps are enabled.

Parameters

  [in] | smooth | `EINA_TRUE` to enable smooth map rendering or `EINA_FALSE` to disable it.

References elm_obj_mapbuf_smooth_set().

EOAPI Eina_Bool elm_obj_mapbuf_alpha_get | ( | void |  | ) |

Get a value whether alpha blending is enabled or not.

Returns
  `EINA_TRUE` means alpha blending is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_mapbuf_alpha_set() for details.

Referenced by elm_mapbuf_alpha_get().

EOAPI void elm_obj_mapbuf_alpha_set | ( | Eina_Bool | alpha | ) |

Set or unset alpha flag for map rendering.

This sets alpha flag for map rendering. If the object is a type that has its own alpha settings, then this will take precedence. Only image objects have this currently. It stops alpha blending of the map area, and is useful if you know the object and/or all sub-objects is 100% solid.

Alpha is enabled by default.

Parameters

  [in] | alpha | `EINA_TRUE` to enable alpha blending or `EINA_FALSE` to disable it.

Referenced by elm_mapbuf_alpha_set().

EOAPI Eina_Bool elm_obj_mapbuf_auto_get | ( | void |  | ) |

Get a value whether auto mode is enabled or not.

Returns
  `EINA_TRUE` means autso mode is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_mapbuf_auto_set() for details.

Referenced by elm_mapbuf_auto_get().

EOAPI void elm_obj_mapbuf_auto_set | ( | Eina_Bool | on | ) |

Set or unset auto flag for map rendering.

When a ampbuf object has "auto mode" enabled, then it will enable and disable map mode based on current visibility. Mapbuf will track if you show or hide it AND if the object is inside the canvas viewport or not when it is moved or resized. Note that if you turn automode off, then map mode will be in a disabled state at this point. When you turn it on for the first time, the current state will be evaluated base on current properties of the mapbuf object.

Auto mode is disabled by default.

Parameters

  [in] | on | `EINA_TRUE` to enable auto mode or `EINA_FALSE` to disable it.

Referenced by elm_mapbuf_auto_set().

EOAPI Eina_Bool elm_obj_mapbuf_enabled_get | ( | void |  | ) |

Get a value whether map is enabled or not.

Returns
  `EINA_TRUE` means map is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_mapbuf_enabled_set() for details.

Referenced by elm_mapbuf_enabled_get().

EOAPI void elm_obj_mapbuf_enabled_set | ( | Eina_Bool | enabled | ) |

Enable or disable the map.

This enables the map that is set or disables it. On enable, the object geometry will be saved, and the new geometry will change (position and size) to reflect the map geometry set.

Also, when enabled, alpha and smooth states will be used, so if the content isn't solid, alpha should be enabled, for example, otherwise a black rectangle will fill the content.

When disabled, the stored map will be freed and geometry prior to enabling the map will be restored.

It's disabled by default.

See also
  elm_mapbuf_alpha_set()
  elm_mapbuf_smooth_set()

Parameters

  [in] | enabled | `EINA_TRUE` to enable map or `EINA_FALSE` to disable it.

Referenced by elm_mapbuf_enabled_set().

EOAPI Eina_Bool elm_obj_mapbuf_smooth_get | ( | void |  | ) |

Get a value whether smooth map rendering is enabled or not.

Returns
  `EINA_TRUE` means smooth map rendering is enabled. `EINA_FALSE` indicates it's disabled. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_mapbuf_smooth_set() for details.

Referenced by elm_mapbuf_smooth_get().

EOAPI void elm_obj_mapbuf_smooth_set | ( | Eina_Bool | smooth | ) |

Enable or disable smooth map rendering.

This sets smoothing for map rendering. If the object is a type that has its own smoothing settings, then both the smooth settings for this object and the map must be turned off.

By default smooth maps are enabled.

Parameters

  [in] | smooth | `EINA_TRUE` to enable smooth map rendering or `EINA_FALSE` to disable it.

Referenced by elm_mapbuf_smooth_set().